crash in _alldiv when playing video in Emby web client

RESOLVED DUPLICATE of bug 1236639

Status

()

Core
Audio/Video
P1
critical
RESOLVED DUPLICATE of bug 1236639
2 years ago
2 years ago

People

(Reporter: Pimmetje, Assigned: esawin)

Tracking

({crash, crashreportid, regression})

45 Branch
x86
Windows 7
crash, crashreportid, regression
Points:
---

Firefox Tracking Flags

(firefox45 affected)

Details

(crash signature)

(Reporter)

Description

2 years ago
This bug was filed from the Socorro interface and is 
report bp-19b83432-95c0-4764-b6d0-35f0f2160322.
=============================================================
When my browser try's to play media in Emby it crashes. Tried safe-mode; same. This goes for multiple PC's.

Updated

2 years ago
Component: General → Audio/Video
Keywords: crash, crashreportid
Product: Firefox → Core

Comment 1

2 years ago
Could you provide a testcase (public URL or video file) to reproduce the issue?
Flags: needinfo?(Pimmetje)
(Reporter)

Comment 2

2 years ago
It's a Emby installation i use for my personal use i can not share publicly. I seems to me it happens when the mediaplayer initializes after the "do you want to be supporter for emby request". Ill try to make a test case.

If u need more information or there is anything else i can do please let me know.
Flags: needinfo?(Pimmetje)
(Reporter)

Comment 3

2 years ago
I have to correct myself it happens when the media player loads.
(Reporter)

Comment 4

2 years ago
Sorry i write jet another comment (i don't see any edit button). It seems like it only crashes when i play a FLAC file. And now i think about it. It started to happen after the last Firefox update i got not so long ago. Ill try the old version and see if i am right.

Comment 5

2 years ago
If it started after the update to 45, could you use the tool mozregression to find a regression range:
http://mozilla.github.io/mozregression/

After the run "mozregression --good=44", copy here the final pushlog provided in the console output.
(Reporter)

Comment 6

2 years ago
I walked over all the builds this is the result

45.0a1 (2015-11-29) Fails / crashes
45.0a1 (2015-11-13) Works correct
45.0a1 (2015-11-21) Works correct
45.0a1 (2015-11-26) Fails / crashes
45.0a1 (2015-11-23) Works correct
45.0a1 (2015-11-24) Works correct
45.0a1 (2015-11-25) Fails / crashes

Somewhere between build 2015-11-24 and 2015-11-25 there is a change that makes my FLAC files stop working.

Comment 7

2 years ago
You have tn continue the bisection with mozilla-inbound builds, it should provide a reduced changelog.
(Reporter)

Comment 8

2 years ago
Somehow the first time it did not worked as it should. Now it did, here is the output:

2016-03-23T22:45:16: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=45273bbed8efaface6f5ec56d984cb9faf4fbb6a
2016-03-23T22:45:17: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?fromchange=45273bbed8efaface6f5ec56d984cb9faf4fbb6a&tochange=099f695d31326c39595264c34988a0f4b7cbc698
2016-03-23T22:45:17: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.45273bbed8efaface6f5ec56d984cb9faf4fbb6a.firefox.win64-opt'
2016-03-23T22:45:17: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.099f695d31326c39595264c34988a0f4b7cbc698.firefox.win64-opt'
2016-03-23T22:45:19: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.880133a30e49f79986f91d7006581b5de5fe1f88.firefox.win64-opt'
2016-03-23T22:45:34: INFO : Running mozilla-central build built on 2015-11-25 01:43:55.829000, revision 880133a3
2016-03-23T22:45:34: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.d9243e369c22ae1df321491a15eeb931ee43f1f5.firefox.win64-opt'
2016-03-23T22:45:36: INFO : Launching c:\users\pim\appdata\local\temp\tmpq2bih_\firefox\firefox.exe
2016-03-23T22:45:36: INFO : application_buildid: 20151124163431
2016-03-23T22:45:36: INFO : application_changeset: 880133a30e49f79986f91d7006581b5de5fe1f88
2016-03-23T22:45:36: INFO : application_display_name: Nightly
2016-03-23T22:45:36: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-03-23T22:45:36: INFO : application_name: Firefox
2016-03-23T22:45:36: INFO : application_remotingname: firefox
2016-03-23T22:45:36: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2016-03-23T22:45:36: INFO : application_vendor: Mozilla
2016-03-23T22:45:36: INFO : application_version: 45.0a1
2016-03-23T22:45:36: INFO : platform_buildid: 20151124163431
2016-03-23T22:45:36: INFO : platform_changeset: 880133a30e49f79986f91d7006581b5de5fe1f88
2016-03-23T22:45:36: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2016-03-23T22:45:36: INFO : platform_version: 45.0a1
2016-03-23T22:46:11: INFO : [Parent 3468] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-cen-w64-00000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 411
2016-03-23T22:46:11: INFO : 
2016-03-23T22:46:11: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:46:11: INFO : 
2016-03-23T22:46:11: INFO : 
2016-03-23T22:46:11: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:46:11: INFO : 
2016-03-23T22:46:17: INFO : Narrowed inbound regression window from [45273bbe, 099f695d] (4 revisions) to [45273bbe, 880133a3] (3 revisions) (~1 steps left)
2016-03-23T22:46:17: INFO : Running mozilla-central build built on 2015-11-24 23:43:01.486000, revision d9243e36
2016-03-23T22:46:18: INFO : Launching c:\users\pim\appdata\local\temp\tmphmvbqt\firefox\firefox.exe
2016-03-23T22:46:18: INFO : application_buildid: 20151124135532
2016-03-23T22:46:18: INFO : application_changeset: d9243e369c22ae1df321491a15eeb931ee43f1f5
2016-03-23T22:46:18: INFO : application_display_name: Nightly
2016-03-23T22:46:18: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-03-23T22:46:18: INFO : application_name: Firefox
2016-03-23T22:46:18: INFO : application_remotingname: firefox
2016-03-23T22:46:18: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2016-03-23T22:46:18: INFO : application_vendor: Mozilla
2016-03-23T22:46:18: INFO : application_version: 45.0a1
2016-03-23T22:46:18: INFO : platform_buildid: 20151124135532
2016-03-23T22:46:18: INFO : platform_changeset: d9243e369c22ae1df321491a15eeb931ee43f1f5
2016-03-23T22:46:18: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2016-03-23T22:46:18: INFO : platform_version: 45.0a1
2016-03-23T22:46:52: INFO : [Parent 7620] WARNING: pipe error: 232: file c:/builds/moz2_slave/m-cen-w64-00000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 446
2016-03-23T22:46:52: INFO : 
2016-03-23T22:46:52: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:46:52: INFO : 
2016-03-23T22:46:52: INFO : 
2016-03-23T22:46:52: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:46:52: INFO : 
2016-03-23T22:46:56: INFO : Narrowed inbound regression window from [45273bbe, 880133a3] (3 revisions) to [45273bbe, d9243e36] (2 revisions) (~1 steps left)
2016-03-23T22:46:56: DEBUG : Starting merge handling...
2016-03-23T22:46:56: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=d9243e369c22ae1df321491a15eeb931ee43f1f5&full=1
2016-03-23T22:46:57: DEBUG : Found commit message:
Merge inbound to m-c a=merge

2016-03-23T22:46:57: DEBUG : This is a merge from mozilla-inbound
2016-03-23T22:46:57: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=31dc40f11fbd0e21bf31c8e8869666a1fbae7d7d
2016-03-23T22:46:58: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?fromchange=31dc40f11fbd0e21bf31c8e8869666a1fbae7d7d&tochange=9783264529d356ebc52cec33ef4be2b389c7b32d
2016-03-23T22:46:58: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?startID=68358&endID=68445
2016-03-23T22:46:58: INFO : ************* Switching to mozilla-inbound
2016-03-23T22:46:58: DEBUG : End merge handling
2016-03-23T22:46:58: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=e722799fa71f653c31454612564c213d09566219
2016-03-23T22:46:58: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?fromchange=e722799fa71f653c31454612564c213d09566219&tochange=9783264529d356ebc52cec33ef4be2b389c7b32d
2016-03-23T22:46:58: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.e722799fa71f653c31454612564c213d09566219.firefox.win64-opt'
2016-03-23T22:46:58: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.9783264529d356ebc52cec33ef4be2b389c7b32d.firefox.win64-opt'
2016-03-23T22:47:00: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.5d0bf692472248d6dedd790e17a223e855114e17.firefox.win64-opt'
2016-03-23T22:47:11: INFO : Running mozilla-inbound build built on 2015-11-23 23:52:11.072000, revision 5d0bf692
2016-03-23T22:47:11: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.c216ff19d6904fca645db371b45ef5d25e3c125f.firefox.win64-opt'
2016-03-23T22:47:12: INFO : Launching c:\users\pim\appdata\local\temp\tmpyzp0xr\firefox\firefox.exe
2016-03-23T22:47:12: INFO : application_buildid: 20151123142519
2016-03-23T22:47:12: INFO : application_changeset: 5d0bf692472248d6dedd790e17a223e855114e17
2016-03-23T22:47:12: INFO : application_display_name: Nightly
2016-03-23T22:47:12: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-03-23T22:47:12: INFO : application_name: Firefox
2016-03-23T22:47:12: INFO : application_remotingname: firefox
2016-03-23T22:47:12: INFO : application_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:47:12: INFO : application_vendor: Mozilla
2016-03-23T22:47:12: INFO : application_version: 45.0a1
2016-03-23T22:47:12: INFO : platform_buildid: 20151123142519
2016-03-23T22:47:12: INFO : platform_changeset: 5d0bf692472248d6dedd790e17a223e855114e17
2016-03-23T22:47:12: INFO : platform_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:47:12: INFO : platform_version: 45.0a1
2016-03-23T22:47:13: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.57f738fb6ab610d26c605799cf1aed3c2f7e6f15.firefox.win64-opt'
2016-03-23T22:47:50: INFO : [Child 1244] ###!!! ABORT: Aborting on channel error.: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/glue/MessageChannel.cpp, line 1765
2016-03-23T22:47:50: INFO : Narrowed inbound regression window from [e722799f, 97832645] (87 revisions) to [5d0bf692, 97832645] (44 revisions) (~5 steps left)
2016-03-23T22:47:50: INFO : Running mozilla-inbound build built on 2015-11-24 12:37:22.088000, revision c216ff19
2016-03-23T22:47:50: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.548d85c0f2cbca612fc0039a844c0eb450aa9e24.firefox.win64-opt'
2016-03-23T22:47:51: WARNING : Skipping build 548d85c0f2cb: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-inbound.revision.548d85c0f2cbca612fc0039a844c0eb450aa9e24.firefox.win64-opt'
2016-03-23T22:47:51: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.ce1ab07ca57672c5bf9f64169847a832ec91eb81.firefox.win64-opt'
2016-03-23T22:47:52: INFO : Launching c:\users\pim\appdata\local\temp\tmpuv63jd\firefox\firefox.exe
2016-03-23T22:47:52: INFO : application_buildid: 20151124023933
2016-03-23T22:47:52: INFO : application_changeset: c216ff19d6904fca645db371b45ef5d25e3c125f
2016-03-23T22:47:52: INFO : application_display_name: Nightly
2016-03-23T22:47:52: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-03-23T22:47:52: INFO : application_name: Firefox
2016-03-23T22:47:52: INFO : application_remotingname: firefox
2016-03-23T22:47:52: INFO : application_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:47:52: INFO : application_vendor: Mozilla
2016-03-23T22:47:52: INFO : application_version: 45.0a1
2016-03-23T22:47:52: INFO : platform_buildid: 20151124023933
2016-03-23T22:47:52: INFO : platform_changeset: c216ff19d6904fca645db371b45ef5d25e3c125f
2016-03-23T22:47:52: INFO : platform_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:47:52: INFO : platform_version: 45.0a1
2016-03-23T22:47:53: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.acad68770dbad8cca5ab67e32c4651b4d2d042bc.firefox.win64-opt'
2016-03-23T22:48:24: INFO : [Child 1172] ###!!! ABORT: Aborting on channel error.: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/glue/MessageChannel.cpp, line 1765
2016-03-23T22:48:25: INFO : Narrowed inbound regression window from [5d0bf692, 97832645] (43 revisions) to [c216ff19, 97832645] (21 revisions) (~4 steps left)
2016-03-23T22:48:25: INFO : Running mozilla-inbound build built on 2015-11-24 18:21:07.912000, revision ce1ab07c
2016-03-23T22:48:25: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.55b18b66242c548f91ff961f70501227f0645c9f.firefox.win64-opt'
2016-03-23T22:48:25: WARNING : Skipping build 55b18b66242c: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-inbound.revision.55b18b66242c548f91ff961f70501227f0645c9f.firefox.win64-opt'
2016-03-23T22:48:25: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.eb9e244e3834403f113ff2652d3627d5da07dbee.firefox.win64-opt'
2016-03-23T22:48:26: WARNING : Skipping build eb9e244e3834: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-inbound.revision.eb9e244e3834403f113ff2652d3627d5da07dbee.firefox.win64-opt'
2016-03-23T22:48:26: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.897bd0c1180b08b59586f3afc5cc49f1304a785b.firefox.win64-opt'
2016-03-23T22:48:26: INFO : Launching c:\users\pim\appdata\local\temp\tmpygqwm_\firefox\firefox.exe
2016-03-23T22:48:26: INFO : application_buildid: 20151124080552
2016-03-23T22:48:26: INFO : application_changeset: ce1ab07ca57672c5bf9f64169847a832ec91eb81
2016-03-23T22:48:26: INFO : application_display_name: Nightly
2016-03-23T22:48:26: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-03-23T22:48:26: INFO : application_name: Firefox
2016-03-23T22:48:26: INFO : application_remotingname: firefox
2016-03-23T22:48:26: INFO : application_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:48:26: INFO : application_vendor: Mozilla
2016-03-23T22:48:26: INFO : application_version: 45.0a1
2016-03-23T22:48:26: INFO : platform_buildid: 20151124080552
2016-03-23T22:48:26: INFO : platform_changeset: ce1ab07ca57672c5bf9f64169847a832ec91eb81
2016-03-23T22:48:26: INFO : platform_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:48:26: INFO : platform_version: 45.0a1
2016-03-23T22:48:26: WARNING : Skipping build 897bd0c1180b: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-inbound.revision.897bd0c1180b08b59586f3afc5cc49f1304a785b.firefox.win64-opt'
2016-03-23T22:48:26: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.8ea3da3e71db034ad73719a14e23be22871aabaf.firefox.win64-opt'
2016-03-23T22:48:27: WARNING : Skipping build 8ea3da3e71db: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-inbound.revision.8ea3da3e71db034ad73719a14e23be22871aabaf.firefox.win64-opt'
2016-03-23T22:48:27: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.c4d056baaafdc8905ef9b62391f66204309e38fd.firefox.win64-opt'
2016-03-23T22:48:27: WARNING : Skipping build c4d056baaafd: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-inbound.revision.c4d056baaafdc8905ef9b62391f66204309e38fd.firefox.win64-opt'
2016-03-23T22:48:28: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.e567a54aa60420657992d405823af24b2b2e7e70.firefox.win64-opt'
2016-03-23T22:48:28: WARNING : Skipping build e567a54aa604: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-inbound.revision.e567a54aa60420657992d405823af24b2b2e7e70.firefox.win64-opt'
2016-03-23T22:48:28: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.d4af58f0f1e08cf26a0521b46b268d00b3d1112d.firefox.win64-opt'
2016-03-23T22:48:29: WARNING : Skipping build d4af58f0f1e0: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-inbound.revision.d4af58f0f1e08cf26a0521b46b268d00b3d1112d.firefox.win64-opt'
2016-03-23T22:48:29: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.dd05d41ce5aef1a1eedcb591f98a5599cc1c8cca.firefox.win64-opt'
2016-03-23T22:48:31: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.7503e23ebb9258bd0805cb049eb6b19dfeba8ed6.firefox.win64-opt'
2016-03-23T22:49:06: INFO : [Parent 3528] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 411
2016-03-23T22:49:06: INFO : 
2016-03-23T22:49:06: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:49:06: INFO : 
2016-03-23T22:49:06: INFO : 
2016-03-23T22:49:06: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:49:06: INFO : 
2016-03-23T22:49:09: INFO : Narrowed inbound regression window from [c216ff19, 97832645] (14 revisions) to [c216ff19, ce1ab07c] (11 revisions) (~3 steps left)
2016-03-23T22:49:09: INFO : Running mozilla-inbound build built on 2015-11-24 15:50:05.902000, revision 7503e23e
2016-03-23T22:49:09: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.f060b308ec40364c4236070cf933ef1368ce10c4.firefox.win64-opt'
2016-03-23T22:49:10: INFO : Launching c:\users\pim\appdata\local\temp\tmpjbtyo3\firefox\firefox.exe
2016-03-23T22:49:10: INFO : application_buildid: 20151124063934
2016-03-23T22:49:10: INFO : application_changeset: 7503e23ebb9258bd0805cb049eb6b19dfeba8ed6
2016-03-23T22:49:10: INFO : application_display_name: Nightly
2016-03-23T22:49:10: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-03-23T22:49:10: INFO : application_name: Firefox
2016-03-23T22:49:10: INFO : application_remotingname: firefox
2016-03-23T22:49:10: INFO : application_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:49:10: INFO : application_vendor: Mozilla
2016-03-23T22:49:10: INFO : application_version: 45.0a1
2016-03-23T22:49:10: INFO : platform_buildid: 20151124063934
2016-03-23T22:49:10: INFO : platform_changeset: 7503e23ebb9258bd0805cb049eb6b19dfeba8ed6
2016-03-23T22:49:10: INFO : platform_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:49:10: INFO : platform_version: 45.0a1
2016-03-23T22:49:11: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.662635b6ed189f5a31491335d6c580ce7396ecb6.firefox.win64-opt'
2016-03-23T22:49:47: INFO : [Parent 8052] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 411
2016-03-23T22:49:47: INFO : 
2016-03-23T22:49:47: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:49:47: INFO : 
2016-03-23T22:49:47: INFO : 
2016-03-23T22:49:47: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:49:47: INFO : 
2016-03-23T22:49:50: INFO : Narrowed inbound regression window from [c216ff19, ce1ab07c] (11 revisions) to [c216ff19, 7503e23e] (6 revisions) (~2 steps left)
2016-03-23T22:49:50: INFO : Running mozilla-inbound build built on 2015-11-24 15:19:41.275000, revision 662635b6
2016-03-23T22:49:50: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.cbb7d4c40875b79f13c8c6fa27b88faeb10e97e9.firefox.win64-opt'
2016-03-23T22:49:52: INFO : Launching c:\users\pim\appdata\local\temp\tmpczspyg\firefox\firefox.exe
2016-03-23T22:49:52: INFO : application_buildid: 20151124061032
2016-03-23T22:49:52: INFO : application_changeset: 662635b6ed189f5a31491335d6c580ce7396ecb6
2016-03-23T22:49:52: INFO : application_display_name: Nightly
2016-03-23T22:49:52: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-03-23T22:49:52: INFO : application_name: Firefox
2016-03-23T22:49:52: INFO : application_remotingname: firefox
2016-03-23T22:49:52: INFO : application_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:49:52: INFO : application_vendor: Mozilla
2016-03-23T22:49:52: INFO : application_version: 45.0a1
2016-03-23T22:49:52: INFO : platform_buildid: 20151124061032
2016-03-23T22:49:52: INFO : platform_changeset: 662635b6ed189f5a31491335d6c580ce7396ecb6
2016-03-23T22:49:52: INFO : platform_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:49:52: INFO : platform_version: 45.0a1
2016-03-23T22:49:52: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.1e426f4d6f3625d2b3f51bee8f003bb1a0bec635.firefox.win64-opt'
2016-03-23T22:50:27: INFO : [Parent 6296] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 411
2016-03-23T22:50:27: INFO : 
2016-03-23T22:50:27: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:50:27: INFO : 
2016-03-23T22:50:27: INFO : 
2016-03-23T22:50:27: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2A0080,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-03-23T22:50:27: INFO : 
2016-03-23T22:50:31: INFO : Narrowed inbound regression window from [c216ff19, 7503e23e] (6 revisions) to [c216ff19, 662635b6] (4 revisions) (~2 steps left)
2016-03-23T22:50:31: INFO : Running mozilla-inbound build built on 2015-11-24 14:20:41.390000, revision 1e426f4d
2016-03-23T22:50:31: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.cf8cf1a039dd370d157b2afaa1fed719f1e34069.firefox.win64-opt'
2016-03-23T22:50:32: INFO : Launching c:\users\pim\appdata\local\temp\tmpbv_vxf\firefox\firefox.exe
2016-03-23T22:50:32: INFO : application_buildid: 20151124044333
2016-03-23T22:50:32: INFO : application_changeset: 1e426f4d6f3625d2b3f51bee8f003bb1a0bec635
2016-03-23T22:50:32: INFO : application_display_name: Nightly
2016-03-23T22:50:32: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-03-23T22:50:32: INFO : application_name: Firefox
2016-03-23T22:50:32: INFO : application_remotingname: firefox
2016-03-23T22:50:32: INFO : application_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:50:32: INFO : application_vendor: Mozilla
2016-03-23T22:50:32: INFO : application_version: 45.0a1
2016-03-23T22:50:32: INFO : platform_buildid: 20151124044333
2016-03-23T22:50:32: INFO : platform_changeset: 1e426f4d6f3625d2b3f51bee8f003bb1a0bec635
2016-03-23T22:50:32: INFO : platform_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-03-23T22:50:32: INFO : platform_version: 45.0a1
2016-03-23T22:51:18: INFO : [Child 5100] ###!!! ABORT: Aborting on channel error.: file c:/builds/moz2_slave/m-in-w64-000000000000000000000/build/src/ipc/glue/MessageChannel.cpp, line 1765
2016-03-23T22:51:19: INFO : Narrowed inbound regression window from [c216ff19, 662635b6] (4 revisions) to [1e426f4d, 662635b6] (2 revisions) (~1 steps left)
2016-03-23T22:51:19: DEBUG : Starting merge handling...
2016-03-23T22:51:19: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=662635b6ed189f5a31491335d6c580ce7396ecb6&full=1
2016-03-23T22:51:19: DEBUG : Found commit message:
Bug 1219178 - [8.1] Constrain seek position getter to max duration. r=jya


2016-03-23T22:51:19: INFO : The bisection is done.
2016-03-23T22:51:19: INFO : Stopped

Comment 9

2 years ago
Ty for the regression range.
Blocks: 1219178
Status: UNCONFIRMED → NEW
status-firefox45: --- → affected
Ever confirmed: true
Flags: needinfo?(esawin)
Keywords: regression
Summary: crash in _alldiv → crash in _alldiv when playing video in Emby web client
(Assignee)

Comment 10

2 years ago
Firefox doesn't support Flac files, so Emby's player must transcode them into MP3 (assumption based on the regression range).

It's difficult to say what is wrong without having an actual reproducing MP3 file.
If you can obtain such a transcoded MP3 file from Emby somehow and attach it to the bug, I can look into it.

Alternatively, you can try the latest Firefox Nightly version to check whether the issue has been fixed.
Flags: needinfo?(esawin)
(Assignee)

Updated

2 years ago
Assignee: nobody → esawin
(Assignee)

Comment 11

2 years ago
Can you please try using Firefox Beta, I expect this to be fixed there (bug 1236639).
1195 crash reports over the past 14 days -> p1.
Flags: needinfo?(cpearce)
Priority: -- → P1

Updated

2 years ago
Duplicate of this bug: 1260779
(In reply to Eugen Sawin [:esawin] from comment #10)
> It's difficult to say what is wrong without having an actual reproducing MP3
> file.

Bug 1260779 have a few URLs.  This one crashes 100% reliably for me on Linux64
using a fresh profile:
http://will.illinois.edu/nfs/Spring_Forward_Pre_Roll.mp3
Flags: needinfo?(esawin)
This one crashes 100% reliably for me using *Firefox 45.0.1* on Linux64.
It works fine though in current Nightly in both e10s and non-e10s modes,
so the bug might have been fixed already.
(Assignee)

Comment 16

2 years ago
This is fixed in 46.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Flags: needinfo?(esawin)
Resolution: --- → DUPLICATE
Duplicate of bug: 1236639
Flags: needinfo?(cpearce)
You need to log in before you can comment on or make changes to this bug.